List OAuth applications
curl --request GET \
--url https://app.rookoo.ai/api/v1/accounts/{account_id}/oauth_applications \
--header 'api_access_token: <api-key>'const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.rookoo.ai/api/v1/accounts/{account_id}/oauth_applications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.rookoo.ai/api/v1/accounts/{account_id}/oauth_applications"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"id": 123,
"name": "<string>",
"uid": "<string>",
"secret": "<string>",
"redirect_uri": "<string>",
"scopes": "<string>",
"confidential": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}OAuth Applications
List OAuth applications
List OAuth 2.0 clients registered for the account. Administrator only.
GET
/
api
/
v1
/
accounts
/
{account_id}
/
oauth_applications
List OAuth applications
curl --request GET \
--url https://app.rookoo.ai/api/v1/accounts/{account_id}/oauth_applications \
--header 'api_access_token: <api-key>'const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.rookoo.ai/api/v1/accounts/{account_id}/oauth_applications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.rookoo.ai/api/v1/accounts/{account_id}/oauth_applications"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"id": 123,
"name": "<string>",
"uid": "<string>",
"secret": "<string>",
"redirect_uri": "<string>",
"scopes": "<string>",
"confidential": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Authorizations
This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.
Path Parameters
The numeric ID of the account
Response
Success
OAuth application ID
Application name
Client ID
Client secret
Redirect URI(s), newline-separated if multiple
Space-separated scopes (profile, accounts, read, write)
Whether the client is confidential (has a secret)